<?php

/*
Plugin Name: Move Publish Button
Plugin URI: http://w-shadow.com/
Description: Moves the "Publish" and "Delete post" buttons away from the "Save" button.
Version: 1.0
Author: Janis Elsts
Author URI: http://w-shadow.com/blog/
*/

/*
	Only set the hook on post and page editing screens
*/
if( strpos( $_SERVER['REQUEST_URI'], 'post-new.php' ) ||
	strpos( $_SERVER['REQUEST_URI'], 'page-new.php' ) ||
	strpos( $_SERVER['REQUEST_URI'], 'post.php' ) ||
	strpos( $_SERVER['REQUEST_URI'], 'page.php' )) 
{
	add_action('admin_head', 'ws_move_publish_button');
}

function ws_move_publish_button(){
	//Just a bit of CSS hacking
?>
<style type='text/css'>
/* Move "Publish" and "Delete post" links */
#save-post {
	float: left;
}
#publish {
	float: right;
}
.submitdelete {
	position: absolute;
	bottom: 6px; 
	right: 12px;
}
p.submit {
	position: relative;
}
</style>
<?php
}

?>